> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice Outcome Timeseries

> Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

### Query parameters

<ParamField query="window" type="string" />

<ParamField query="bucket" type="string" />

### Response

`VoiceOutcomeTimeseriesResponse`

<ResponseField name="ok" type="boolean" required />

<ResponseField name="tenant" type="string" required />

<ResponseField name="timeseries" type="VoiceOutcomeTimeseries" required>
  <Expandable title="VoiceOutcomeTimeseries">
    <ResponseField name="bucket" type="string" required />

    <ResponseField name="points" type="VoiceOutcomeTimeseriesPoint[]" required>
      <Expandable title="VoiceOutcomeTimeseriesPoint">
        <ResponseField name="avg_duration_seconds" type="number,null (double)" />

        <ResponseField name="billable" type="integer (int64)" required />

        <ResponseField name="bucket_start" type="string (date-time)" required />

        <ResponseField name="escalated" type="integer (int64)" required />

        <ResponseField name="pending_emit" type="integer (int64)" required />

        <ResponseField name="total" type="integer (int64)" required />
      </Expandable>
    </ResponseField>

    <ResponseField name="window" type="string" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                 |
| ----- | ----------------------- |
| `200` | Outcome timeseries      |
| `401` | Unauthorized            |
| `503` | Database not configured |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.voice.stateset.com/api/v1/voice-outcomes/timeseries' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "ok": true,
    "tenant": "string",
    "timeseries": {
      "bucket": "string",
      "points": [
        {
          "avg_duration_seconds": null,
          "billable": null,
          "bucket_start": null,
          "escalated": null,
          "pending_emit": null,
          "total": null
        }
      ],
      "window": "string"
    }
  }
  ```
</ResponseExample>
